package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: NftPriceUpdateReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 16:00
 */
@Data
public class Nft052PriceUpdateResp implements Serializable {
    /**
     * 任务ID
     */
    private String taskId;

    private static final Nft052PriceUpdateResp obj = new Nft052PriceUpdateResp();
    public static Nft052PriceUpdateResp getNew() {
        try {
            return (Nft052PriceUpdateResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft052PriceUpdateResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
